package yi.iu.processor.resample;

public class LinearResampler extends Resampler
{
    public LinearResampler () {
        super(); fwidth=1.0;
    }
    
    public LinearResampler(int w, int h) {
        super(w,h); fwidth=1.0;
    }

    public double filter(double value)
    {
        if (value < 0.0) value = -value;
        if (value < 1.0) 
            return 1.0 - value;
        else
            return 0.0;
    }

}